#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ([2.69])
AC_INIT([ped], [2.1.2], [dmy@dmy.dmy])
AC_CONFIG_SRCDIR([config.h.in])
AC_CONFIG_HEADERS([config.h])

#my_add ---
AM_INIT_AUTOMAKE([foreign subdir-objects 1.9 tar-pax])
#LT_INIT
# ~$ automake --foreign --subdir-obj ... みたいな感じ。
# foreignはgnu内部ルール検査を飛ばす。AUTHERファイルが必須とかなんとか。野良ソフトなんで。
# sub-objはソースdirにaaa.oも出力する。オプションが無いとrootdirに出されてカオス。
# 1.9はautomakeの動作バージョン指定。オプションtar-paxは1.9以上必須。
# tar-paxはファイル名max16文字だか何だかを256に緩和する。posix2001以上。ないと不便。
AM_MAINTAINER_MODE([disable])

#インストールで相手の環境を汚したくない 内部フォルダに設定する フルパスじゃないとダメみたい
#AC_PREFIX_DEFAULT([../install])
sv=`pwd`;cd `dirname $0`;DESTDIR=`pwd`"/install"
AC_SUBST(DESTDIR)
#echo "$pdir"
#AC_PREFIX_DEFAULT(['$(my_INSDIR)'])
cd $sv

# sv=`pwd`;cd `dirname $0`;DFL_INSDIR=`pwd`"/install"
# AC_SUBST(DFL_INSDIR)
# AC_PREFIX_DEFAULT(['$(DFL_INSDIR)'])
# cd $sv

# Checks for programs.
AC_PROG_AWK
AC_PROG_CC
AC_PROG_INSTALL
AC_PROG_MAKE_SET
AC_PROG_RANLIB
AC_PROG_LN_S

# Checks for libraries.
AC_CHECK_LIB([dl], [main])
AC_CHECK_LIB([m], [main])

# Checks for header files.
AC_CHECK_HEADERS([arpa/inet.h fcntl.h inttypes.h langinfo.h libintl.h limits.h locale.h malloc.h netdb.h netinet/in.h nl_types.h stddef.h stdint.h stdio_ext.h stdlib.h string.h sys/acl.h sys/ioctl.h sys/param.h sys/socket.h sys/time.h unistd.h wchar.h wctype.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_CHECK_HEADER_STDBOOL
AC_TYPE_UID_T
AC_C_INLINE
AC_TYPE_SIZE_T
AC_TYPE_INT8_T
AC_TYPE_INT16_T
AC_TYPE_INT32_T
AC_TYPE_INT64_T
AC_TYPE_MODE_T
AC_FUNC_OBSTACK
AC_TYPE_OFF_T
AC_TYPE_PID_T
AC_C_RESTRICT
AC_TYPE_SIZE_T
AC_TYPE_SSIZE_T
AC_CHECK_MEMBERS([struct stat.st_blksize])
AC_STRUCT_ST_BLOCKS
AC_CHECK_MEMBERS([struct stat.st_rdev])
AC_STRUCT_TIMEZONE
AC_TYPE_UINT16_T
AC_TYPE_UINT32_T
AC_TYPE_UINT64_T
AC_TYPE_UINT8_T
AC_CHECK_TYPES([ptrdiff_t])

# Checks for library functions.
AC_FUNC_ALLOCA
AC_FUNC_ERROR_AT_LINE
AC_FUNC_FORK
AC_FUNC_FSEEKO
AC_FUNC_LSTAT_FOLLOWS_SLASHED_SYMLINK
AC_FUNC_MALLOC
AC_FUNC_MBRTOWC
AC_FUNC_MKTIME
AC_FUNC_MMAP
AC_FUNC_REALLOC
AC_FUNC_STRCOLL
AC_FUNC_STRERROR_R
AC_FUNC_STRTOD
AC_CHECK_FUNCS([__fpending acl alarm atexit btowc clock_gettime dup2 floor ftruncate getcwd getdelim getpagesize gettimeofday isascii iswprint localeconv localtime_r mbrlen memchr memmove memset mkdir munmap nl_langinfo pathconf pow putenv re_comp regcomp rmdir select setenv setlocale socket sqrt strchr strcspn strdup strerror strndup strpbrk strrchr strspn strstr strtol strtoul strverscmp uname])

#ag1はshell変数 ag2の実行cmdがあったら$BOGUSにag3を設定して無いならnoを設定する
#多分whichかunzip -hで探している
AC_CHECK_PROG(tMPVAR,[unzip],[yes],[no])
test "$tMPVAR" = "no" && AC_MSG_ERROR([Required program 'unzip' not found])

# my_add src	INITの後じゃないと無視される。
# sh ./external/premake.sh		#externの展開とかsh.cとかamとか。ビルド準備のオレオレスクリプト

AC_CONFIG_FILES([Makefile
                 src/Makefile])
#AC_CONFIG_SUBDIRS([lbc-1.1.0
#                   ureg-3.0.1])
AC_OUTPUT
